Package bitel.billing.server.script.global.bean

# Class GlobalScriptManager

java.lang.Object
bitel.billing.server.script.global.bean.GlobalScriptManager

public class GlobalScriptManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptManager(ConnectionSet connectionSet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteScript(int id)`
  Удаляет глобальный скрипт по ее коду.
  `Object`
  `executeGlobalScript(int scriptId)`
  Выполняет глобальный скрипт.
  `Revision`
  `getRevisionProperties(int id)`
  Возвращает реквизиты последнего редактирования глобального скрипта по его коду.
  `GlobalScript`
  `getScriptById(int id)`
  Возвращает глобальный скрипт по его коду.
  `List<GlobalScript>`
  `getScripts()`
  Возвращает список глобальных скриптов поведения.
  `void`
  `updateScript(String id, GlobalScript gs)`
  Обновляет глобальный скрипт.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tableName

    protected String tableName

- ## Constructor Details

  - ### GlobalScriptManager

    public GlobalScriptManager(ConnectionSet connectionSet)

- ## Method Details

  - ### executeGlobalScript

    public Object executeGlobalScript(int scriptId) throws ru.bitel.bgbilling.common.BGException
    Выполняет глобальный скрипт.
    Parameters:
      `scriptId` - код скрипта.
    Returns:
      результат (возможно, строка).
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getScripts

    public List<GlobalScript> getScripts()
    Возвращает список глобальных скриптов поведения.
    Returns:
      список глобальных скриптов поведения.

  - ### getScriptById

    public GlobalScript getScriptById(int id) throws ru.bitel.bgbilling.common.BGException
    Возвращает глобальный скрипт по его коду.
    Parameters:
      `id` - код глобального скрипта.
    Returns:
      глобальный скрипт.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateScript

    public void updateScript(String id, GlobalScript gs) throws ru.bitel.bgbilling.common.BGException
    Обновляет глобальный скрипт.
    Parameters:
      `id` - код глобального скрипта, "new" если новый.
      `gs` - скрипт.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteScript

    public void deleteScript(int id)
    Удаляет глобальный скрипт по ее коду.
    Parameters:
      `id` - код глобального скрипта.

  - ### getRevisionProperties

    public Revision getRevisionProperties(int id)
    Возвращает реквизиты последнего редактирования глобального скрипта по его коду.
    Parameters:
      `id` - код глобального скрипта.
    Returns:
      параметры ревизии.